This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 468116 - Review Request: sugar-analyze - Analysing tool for Sugar
Review Request: sugar-analyze - Analysing tool for Sugar
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marco Pesenti Gritti
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-10-22 18:20 EDT by Fabian Affolter
Modified: 2008-11-26 21:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 21:12:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mpg: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-10-22 18:20:09 EDT
Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-analyze.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-analyze-7-1.fc10.src.rpm

Upstream URL: http://wiki.laptop.org/go/Analyze

Description:
The Analyze activity helps developers analyze their system. Along with 
Log Viewer and Terminal, one of three activities that used to make up 
the developer console.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=896731

[fab@localhost noarch]$ rpmlint -i sugar-analyze-7-1.fc10.noarch.rpm 
sugar-analyze.noarch: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@localhost SRPMS]$ rpmlint -i sugar-analyze-7-1.fc10.src.rpm 
sugar-analyze.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Marco Pesenti Gritti 2008-10-29 06:50:39 EDT
Can you explain why you need to make some of the files executable? When that's sorted out, I can make a release we can use instead of git.
Comment 2 Fabian Affolter 2008-10-29 08:52:32 EDT
rpmlint complain about the permission

[fab@laptop24 noarch]$ rpmlint -i sugar-analyze-7-1.fc10.noarch.rpm 
sugar-analyze.noarch: E: non-executable-script /usr/share/sugar/activities/Analyze.activity/procmem/analysis.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.
...
...
Comment 3 Marco Pesenti Gritti 2008-10-31 06:10:46 EDT
Ok, I would like to get that fixed upstream. I sent mail to the maintainer with you in cc.
Comment 4 Marco Pesenti Gritti 2008-11-05 05:20:11 EST
We have a release with the fix:

http://dev.laptop.org/pub/sugar/sources/Analyze/Analyze-8.tar.bz2

Can you please update the spec/package?
Comment 5 Fabian Affolter 2008-11-06 06:36:12 EST
Sure, I will make an update over the weekend.
Comment 7 Marco Pesenti Gritti 2008-11-09 18:08:23 EST
Can you please confirm if "mkdir -p %{buildroot}%{sugaractivitydir}" is actually necessary? I'd expect setup.py to take care of it.

Anyway r+. Thanks!

(you forgot to set fedora-review to ?)
Comment 8 Fabian Affolter 2008-11-18 19:50:36 EST
(In reply to comment #7)
> Can you please confirm if "mkdir -p %{buildroot}%{sugaractivitydir}" is
> actually necessary? I'd expect setup.py to take care of it.

You are right, 'mkdir -p %{buildroot}%{sugaractivitydir}' is not needed.
 
> Anyway r+. Thanks!
> 
> (you forgot to set fedora-review to ?)

Did you do a full review? The flag is set to '+' but the bug is not assigned to you.

Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-analyze.spec
SRPM URL:
http://fab.fedorapeople.org/packages/XO/sugar-analyze-8-2.fc10.src.rpm
Comment 9 Marco Pesenti Gritti 2008-11-18 21:59:21 EST
Yeah I did a full review. Reassigning to me now, I missed that part of the process.
Comment 10 Fabian Affolter 2008-11-19 04:27:17 EST
New Package CVS Request
=======================
Package Name:  sugar-analyze
Short Description:  Analysing tool for Sugar
Owners:  fab
Branches:  F-10
InitialCC:
Comment 11 Kevin Fenzi 2008-11-22 22:53:49 EST
cvs done.
Comment 12 Fedora Update System 2008-11-25 20:01:56 EST
sugar-analyze-8-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sugar-analyze-8-2.fc10
Comment 13 Fedora Update System 2008-11-26 21:12:17 EST
sugar-analyze-8-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.